function runscript()
	sound("save1", CHAN_SCRIPTED);
	storewindow();
	if (getflag(FLAG_SAVE_HELP_HEARD) == 0) then
		say("This is a Spiral Notebook.");
		say("You can record your progress here.");
		setflag(FLAG_SAVE_HELP_HEARD, FLAG_ON);
	end
	
	if (ask("Do you want to save your game?")) then
		save();
		sound("saved", CHAN_SCRIPTED);
		say("Game saved!");
	end
	
	restorewindow();
end